-- ACTIONBARS --

--Gryphons
MainMenuBarArtFrame.LeftEndCap:Hide()
MainMenuBarArtFrame.RightEndCap:Hide()


--Macro Names
for i=1, 12 do
_G["ActionButton"..i.."Name"]:SetAlpha(0) -- main bar
_G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0) -- bottom right bar
_G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) -- bottom left bar
_G["MultiBarRightButton"..i.."Name"]:SetAlpha(0) -- right bar
_G["MultiBarLeftButton"..i.."Name"]:SetAlpha(0) -- left bar
end


--Bar Art Frame
--MainMenuBarArtFrameBackground:Hide()


--Action Bar Arrows
--ActionBarUpButton:Hide()
--ActionBarDownButton:Hide()
--MainMenuBarArtFrame.PageNumber:Hide()


--Keybinds
local r={"MultiBarBottomLeftButton", "MultiBarBottomRightButton", "ActionButton", "MultiBarLeftButton", "MultiBarRightButton"} 
	for b=1,#r do for i=1,12 do _G[r[b]..i.."HotKey"]:SetAlpha(0) 
	end 
end




-- UNIT FRAMES --

--Class Colors
local frame = CreateFrame("FRAME")
frame:RegisterEvent("GROUP_ROSTER_UPDATE")
frame:RegisterEvent("PLAYER_TARGET_CHANGED")
frame:RegisterEvent("PLAYER_FOCUS_CHANGED")
frame:RegisterEvent("UNIT_FACTION")

local function eventHandler(self, event, ...)
    if UnitIsPlayer("target") then
        c = RAID_CLASS_COLORS[select(2, UnitClass("target"))]
        TargetFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
    end
    if UnitIsPlayer("focus") then
        c = RAID_CLASS_COLORS[select(2, UnitClass("focus"))]
        FocusFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
    end
end

frame:SetScript("OnEvent", eventHandler)

for _, BarTextures in pairs({TargetFrameNameBackground, FocusFrameNameBackground}) do
    BarTextures:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
end


--HIDE PRESTIGE + HONOR BADGES
PlayerPrestigeBadge:SetAlpha(0)
PlayerPrestigePortrait:SetAlpha(0)
TargetFrameTextureFramePrestigeBadge:SetAlpha(0)
TargetFrameTextureFramePrestigePortrait:SetAlpha(0)
FocusFrameTextureFramePrestigeBadge:SetAlpha(0)
FocusFrameTextureFramePrestigePortrait:SetAlpha(0)




-- MINIMAP --

MinimapBorderTop:Hide()
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()
MiniMapWorldMapButton:Hide()




-- MISC --

MicroButtonAndBagsBar:Hide()

local t,f={"Character","Spellbook","Talent","Achievement","QuestLog","Guild","LFD","Collections","EJ","Store","MainMenu"}
for i=1,#t do f=_G[t[i].."MicroButton"]f:SetScale(.001)end;MicroButtonAndBagsBar:Hide()



-- CHAT BOX --

--SOCIAL BUTTON
QuickJoinToastButton:Hide()


--EXTRA CHAT FONTS
CHAT_FONT_HEIGHTS = {
      [1] = 7,
      [2] = 8,
      [3] = 9,
      [4] = 10,
      [5] = 11,
      [6] = 12,
      [7] = 13,
      [8] = 14,
      [9] = 15,
      [10] = 16,
      [11] = 17,
      [12] = 18,
      [13] = 19,
      [14] = 20,
      [15] = 21,
      [16] = 22,
      [17] = 23,
      [18] = 24
   };	
